Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class ShadedNull

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.imp3d.objects.ShadedNull

All Implemented Interfaces:
  Transformation, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, java.io.Serializable

Direct Known Subclasses:
  AxisBase, CSGNode, Instance3D, MeshNode, NullWithShaderNode, NURBSSurface, Patch, Plane, Polygon, Sky, Sphere, Supershape

    public class ShadedNull

extends Null

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static int` | `INFINITE_MASK`
`protected Interior` | `interior`
`static Node.NType.Field` | `interior$FIELD`
`protected Shader` | `shader`
`static Node.NType.Field` | `shader$FIELD`
`static Node.NType.Field` | `treatedAsInfinite$FIELD`
`static int` | `USED_BITS`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`ShadedNull()`
`ShadedNull(Transform3D transform)`

Method Summary
`Interior` | `getInterior()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`Shader` | `getShader()`
`int` | `getSymbolColor()`
`boolean` | `isTreatedAsInfinite()`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `setBackShader(Shader mat)`
`void` | `setColor(float r, float g, float b)`
`void` | `setColor(int rgb)`
`void` | `setFrontShader(Shader mat)`
`void` | `setInterior(Interior value)`
`void` | `setMaterial(Shader mat)`
`void` | `setShader(Shader shader)`
`void` | `setShaders(Shader front, Shader back)`
`void` | `setTreatedAsInfinite(boolean v)`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getTransform, getTranslation, isTransforming, postTransform, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### INFINITE_MASK

    public static final int INFINITE_MASK

See Also:
  Constant Field Values

### interior

    protected Interior interior

### interior$FIELD

    public static final Node.NType.Field interior$FIELD

### shader

    protected Shader shader

### shader$FIELD

    public static final Node.NType.Field shader$FIELD

### treatedAsInfinite$FIELD

    public static final Node.NType.Field treatedAsInfinite$FIELD

### USED_BITS

    public static final int USED_BITS

See Also:
  Constant Field Values

Constructor Detail

### ShadedNull

    public ShadedNull()

### ShadedNull

    public ShadedNull(Transform3D transform)

Method Detail

### getInterior

    public Interior getInterior()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Null`
  Returns:
    type describing the managed fields of the class of this node

### getShader

    public Shader getShader()

### getSymbolColor

    public int getSymbolColor()

  Overrides:
    `getSymbolColor` in class `Node`

### isTreatedAsInfinite

    public boolean isTreatedAsInfinite()

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Null`
  Returns:
    new instance of class of this node

### setBackShader

    public void setBackShader(Shader mat)

### setColor

    public void setColor(float r,
                         float g,
                         float b)

### setColor

    public void setColor(int rgb)

### setFrontShader

    public void setFrontShader(Shader mat)

### setInterior

    public void setInterior(Interior value)

### setMaterial

    public void setMaterial(Shader mat)

### setShader

    public void setShader(Shader shader)

### setShaders

    public void setShaders(Shader front,
                           Shader back)

### setTreatedAsInfinite

    public void setTreatedAsInfinite(boolean v)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD